## com.gargoylesoftware.htmlunit
Interface PageCreator

All Known Implementing Classes:
  DefaultPageCreator

    public interface PageCreator

Something that knows how to create a page object. It is also the responsibility of the page creator to establish the relationship between the `webWindow` and the page, usually by calling `WebWindow.setEnclosedPage(Page)`. This should be done as early as possible, e.g. to allow for re-loading of pages during page parsing.

Version:
  $Revision: 4002 $
Author:
  Mike Bowler, Christian Sell

Method Summary
`Page` `createPage(WebResponse webResponse, WebWindow webWindow)` Create a Page object for the specified web response.

Method Detail

### createPage

    Page createPage(WebResponse webResponse,
                    WebWindow webWindow)
                    throws java.io.IOException

  Create a Page object for the specified web response.

  Parameters:
    `webResponse` - the response from the server
    `webWindow` - the window that this page will be loaded into
  Returns:
    the new page
  Throws:
    `java.io.IOException` - If an io problem occurs

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.